<nz-card nzSize="small" [nzTitle]="regionTitle" *ngIf="region$ | async as region" class="region-details"
  style="width: 300px">
  <ng-template #regionTitle>
    {{ "Common.Region" | translate }} <a [routerLink]="['/region', region.id]">{{ region?.name }}</a>
  </ng-template>

  <h5>{{ "Common.Location" | translate }}: {{ region?.x }},{{ region?.y }} </h5>
  <h5 *ngIf="region?.country">
    {{ "Social.Community.Owner" | translate }}:
    <a [routerLink]="['/country', region.country.id]">{{
      region?.country?.name
      }}</a>
  </h5>

  <div *ngIf="region.resources.length > 0">
    <nz-divider [nzText]="'Economy.Resource.Title' | translate"></nz-divider>
    <div nz-row nzGutter="12" style="text-align: center;">
      <div nz-col nzSpan="8" *ngFor="let resource of region.resources">
        <img [src]="resource.value" height="32px;" />
        <div>{{ 'Economy.' + resource.symbol | translate }}</div>
        <div>
          <span style="color: gold" innerHtml="{{ resource.quality | q }}"></span>
        </div>
      </div>
    </div>
  </div>

  <div *ngIf="region.showOptions === true">
    <div *ngIf="(region.canSettle && !region.country) || (region.canAttack && !region.battle)">
      <nz-divider nzText="Actions"></nz-divider>
      <div nz-row nzGutter="12" style="text-align: center;">
        <div nz-col nzSpan="12" *ngIf="region.canSettle && !region.country">
          <button nz-button nzShape="round" nzType="default" (click)="startCountry()">
            <div>{{ "Politics.StartCountry" | translate }}</div>
          </button>
        </div>
        <div nz-col nzSpan="12" *ngIf="region.canAttack && !region.battle">
          <button nz-button nzShape="round" nzType="default" (click)="attack(region)">
            <div>{{ "Military.Battles.Attack" | translate }}</div>
          </button>
        </div>
      </div>
    </div>
  </div>

  <div *ngIf="region.battle" style="text-align: center">
    <nz-divider [nzText]="'Common.Maps.Battle' | translate"></nz-divider>
    <div nz-row>
      <div nz-col nzSpan="12">{{ "Military.Battles.AttackedBy" | translate }}:</div>
      <div nz-col nzSpan="12">
        <nz-avatar [nzShape]="'square'" [nzSize]="24" [nzIcon]="'user'" [nzSrc]="region.battle.countryAttacking.flag">
        </nz-avatar>
        {{ region.battle.countryAttacking.name }}
      </div>
    </div>
    <div nz-row style="margin-top: 5px">
      <div nz-col nzSpan="12">
        <nz-tag [nzColor]="region.battle.wallSize < 0 ? 'red' : 'green'">{{ "Military.Battles.Wall" | translate }}: {{ region.battle.wallSize }}/{{
          region.battle.startingWallSize
          }}</nz-tag>
      </div>
      <div nz-col nzSpan="12">
        <button [routerLink]="['/battle', region.battle.id]" nz-button nzShape="round" nzType="primary" nzSize="small">
          {{ "Common.Buttons.View" | translate }}
        </button>
      </div>
    </div>
  </div>
